## print-manager 6.3.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(print-manager)
set(PROJECT_VERSION "6.3.4")

set(PROJECT_DEP_VERSION "6.3.4")
set(QT_MIN_VERSION "6.7.0")
set(KF6_MIN_VERSION "6.10.0")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

################# set KDE specific information #################

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEGitCommitHooks)
include(KDEClangFormat)

include(ECMQmlModule)
include(ECMOptionalAddSubdirectory)
include(ECMQtDeclareLoggingCategory)
include(FeatureSummary)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    DBus
    Network
    Widgets
    Qml
    Quick
)

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED 
    Config 
    ConfigWidgets 
    CoreAddons 
    DBusAddons 
    IconThemes 
    I18n 
    KCMUtils 
    Kirigami
    KIO
    Notifications 
    WidgetsAddons 
    WindowSystem 
)

find_package(Plasma ${PROJECT_DEP_VERSION} REQUIRED)

set_package_properties(KF6Kirigami PROPERTIES
    TYPE REQUIRED
    PURPOSE "Kirigami application UI framework"
)

find_package(PackageKitQt6)
set_package_properties(PackageKitQt6
    PROPERTIES DESCRIPTION "Software Manager integration"
    TYPE OPTIONAL
    PURPOSE "Needed to automatically install the system-config-printer package."
)

find_package(Cups "2.4" REQUIRED)
message(STATUS "Detected CUPS version: ${CUPS_VERSION_STRING}")
#add declaration for libcups version
if(CUPS_VERSION_STRING VERSION_GREATER_EQUAL "3.0")
    message(STATUS "Building with libcups3")
    add_definitions(-DLIBCUPS_VERSION_3)
else()
    message(STATUS "Building with libcups2")
    add_definitions(-DLIBCUPS_VERSION_2)
endif()

find_package(CupsSmb)
set_package_properties(CupsSmb PROPERTIES
    TYPE RUNTIME
    DESCRIPTION "SMB backend for CUPS (aka smbspool)"
    PURPOSE "Required for CUPS to be able to print to printers shared over SMB"
    URL "https://samba.org"
)

option(SCP_INSTALL "Offer to install System-config-printer with PackageKit if it is not already installed, use -DSCP_INSTALL=off to disable, use -DSCP_PACKAGE_NAME= to set package name." ON)
set(SCP_PACKAGE_NAME \"system-config-printer\" CACHE STRING "Single package or comma-separated list of packages needed for a functional System-config-printer on this distribution.")

if(SCP_INSTALL AND PackageKitQt6_FOUND)
    add_definitions(-DSCP_INSTALL)
    add_definitions(-DSCP_PACKAGE_NAME=${SCP_PACKAGE_NAME})
else()
    set(SCP_INSTALL false)
endif()
add_feature_info("System-config-printer Installation" SCP_INSTALL "Automatic installation of '${SCP_PACKAGE_NAME}' using PackageKit.")

add_definitions(
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050900
    -DQT_USE_FAST_OPERATOR_PLUS
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_NO_CAST_FROM_ASCII
)

remove_definitions(-DQT_NO_KEYWORDS)

# Generate config.h
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/config.h)


include_directories(${CMAKE_BINARY_DIR}) # config.h

install(FILES org.kde.print-manager.metainfo.xml DESTINATION "${KDE_INSTALL_METAINFODIR}")

add_definitions(-DTRANSLATION_DOMAIN="print-manager")

add_subdirectory(src)

ecm_qt_install_logging_categories(
    EXPORT PMLOGS
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

ki18n_install(po)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/kcm/CMakeLists.txt ===
kcmutils_add_qml_kcm(kcm_printer_manager SOURCES
    printermanager.cpp
    printermanager.h
)

ecm_qt_declare_logging_category(kcm_printer_manager
    HEADER pmkcm_log.h
    IDENTIFIER PMKCM
    CATEGORY_NAME org.kde.plasma.printmanager.kcm
    DESCRIPTION "Print Manager (kcm)"
    EXPORT PMLOGS
)

target_link_libraries(kcm_printer_manager PRIVATE
    Qt6::DBus
    Qt6::Qml
    KF6::CoreAddons
    KF6::KCMUtilsQuick
    KF6::I18n
    kcupslib
)

if(SCP_INSTALL)
    target_sources(kcm_printer_manager PRIVATE scpinstaller.cpp)
    target_link_libraries(kcm_printer_manager PRIVATE PK::packagekitqt6)
endif()

=== src/kded/CMakeLists.txt ===
set(printmanagerkded_SRCS
    NewPrinterNotification.cpp
    PrintManagerKded.cpp
    NewPrinterNotification.h
    PrintManagerKded.h
)

qt_add_dbus_adaptor(printmanagerkded_SRCS
    com.redhat.NewPrinterNotification.xml
    NewPrinterNotification.h
    NewPrinterNotification
)

add_library(kded_printmanager MODULE ${printmanagerkded_SRCS})
set_target_properties(kded_printmanager PROPERTIES OUTPUT_NAME printmanager)

target_link_libraries(kded_printmanager PRIVATE
    Qt6::Core
    KF6::DBusAddons
    KF6::Notifications
    kcupslib
)

ecm_qt_declare_logging_category(kded_printmanager
    HEADER pmkded_log.h
    IDENTIFIER PMKDED
    CATEGORY_NAME org.kde.plasma.printmanager.kded
    DESCRIPTION "Print Manager (kded)"
    EXPORT PMLOGS
)

install(TARGETS kded_printmanager DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/kded)
install(FILES printmanager.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})

=== debian/changelog ===
print-manager (6:6.3.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 02 Apr 2025 08:59:32 +0100

print-manager (6:6.3.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 15:26:13 +0000

print-manager (6:6.3.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 09 Mar 2025 09:58:18 +0000

=== debian/control ===
Source: print-manager
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.10.0~),
               libcups2-dev (>= 2.4),
               libkf6config-dev (>= 6.10.0~),
               libkf6configwidgets-dev (>= 6.10.0~),
               libkf6coreaddons-dev (>= 6.10.0~),
               libkf6dbusaddons-dev (>= 6.10.0~),
               libkf6i18n-dev (>= 6.10.0~),
               libkf6iconthemes-dev (>= 6.10.0~),
               libkf6kcmutils-dev (>= 6.10.0~),
               libkf6kio-dev (>= 6.10.0~),
               libkf6notifications-dev (>= 6.10.0~),
               libkf6widgetsaddons-dev (>= 6.10.0~),
               libkf6windowsystem-dev (>= 6.10.0~),
               libkirigami-dev (>= 6.10.0~),
               libpackagekitqt6-dev,
               libplasma-dev (>= 6.3.4~),
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Homepage: https://apps.kde.org/en/print-manager
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/print-manager
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/print-manager
Rules-Requires-Root: no

Package: print-manager
Architecture: any
Depends: plasma-desktoptheme,
         qml6-module-org-kde-config,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kitemmodels,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         systemsettings,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: cups,
            smbclient,
            system-config-printer-common,
            system-config-printer-udev,
Description: printer configuration and monitoring tools
 This package provides a KDE configuration module and a Plasma widget for
 installing and configuring printers, and monitoring printers, print jobs and
 print queues.
 .
 This package is part of the KDE utilities module.

## print-manager 6.3.5

=== src/add-printer/CMakeLists.txt ===
set(addprinter_SRCS
    main.cpp
    AddPrinter.cpp
    GenericPage.cpp
    PageDestinations.cpp
    ChooseLpd.cpp
    ChooseSamba.cpp
    ChooseSerial.cpp
    ChooseSocket.cpp
    ChooseUri.cpp
    PageChoosePrinters.cpp
    PageChoosePPD.cpp
    PageAddPrinter.cpp
    AddPrinterAssistant.cpp

    AddPrinter.h
    GenericPage.h
    PageDestinations.h
    ChooseLpd.h
    ChooseSamba.h
    ChooseSerial.h
    ChooseSocket.h
    ChooseUri.h
    PageChoosePrinters.h
    PageChoosePPD.h
    PageAddPrinter.h
    AddPrinterAssistant.h
)

ki18n_wrap_ui(addprinter_SRCS
    PageDestinations.ui
    ChooseLpd.ui
    ChooseSamba.ui
    ChooseSerial.ui
    ChooseSocket.ui
    ChooseUri.ui
    PageChoosePrinters.ui
    PageChoosePPD.ui
    PageAddPrinter.ui
)

add_executable(kde-add-printer
    ${addprinter_SRCS}
)

target_link_libraries(kde-add-printer
    Qt6::Core
    Qt6::Widgets
    Qt6::Network
    KF6::CoreAddons
    KF6::I18n
    KF6::IconThemes
    KF6::IconWidgets
    KF6::KIOCore
    KF6::KIOWidgets
    KF6::ConfigCore
    kcupslib
    KF6::IconWidgets
)

ecm_qt_declare_logging_category(kde-add-printer
    HEADER kde-add-printer_log.h
    IDENTIFIER PM_ADD_PRINTER
    CATEGORY_NAME org.kde.plasma.printmanager.kde-add-printer
    DESCRIPTION "Print Manager (legacy Add Printer App)"
    EXPORT PMLOGS
)

install(TARGETS kde-add-printer DESTINATION ${KDE_INSTALL_BINDIR})
install(PROGRAMS org.kde.kde-add-printer.desktop DESTINATION ${KDE_INSTALL_APPDIR})

=== debian/changelog ===
print-manager (6:6.3.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.5).
    - Kcm: When adding a printer/group, allow the ability to set as default.
    - Revert "kcm: don't assign undefined to component".
  * Relax inter-plasma versioned dependency constraint so we can upload
    only 6.3.5 packages that have actual code changes.
  * Point upstream source to invent git repo.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 19 May 2025 00:58:42 +0200

print-manager (6:6.3.4-1) unstable; urgency=medium

  * Team upload.

  [ Patrick Franz ]
  * New upstream release (6.3.4).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Apr 2025 01:02:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: print-manager
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
            Sune Vuorela <sune@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.10.0~),
                libcups2-dev (>= 2.4),
                libkf6config-dev (>= 6.10.0~),
@@ -28,10 +27,10 @@
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.7.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://apps.kde.org/en/print-manager
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/print-manager
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/print-manager
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/print-manager
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/print-manager.git
 Rules-Requires-Root: no
 
 Package: print-manager

## print-manager 6.4.3

=== debian/changelog ===
print-manager (5:6.4.3-0zneon+24.04+noble+release+build32) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 14:03:31 +0000

print-manager (5:6.4.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 11:14:40 +0000

print-manager (5:6.4.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 11:41:03 +0000

print-manager (5:6.4.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Jun 2025 23:56:14 +0000

print-manager (5:6.4.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 17 Jun 2025 22:10:32 +1000

print-manager (5:6.3.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 May 2025 21:04:40 +0000

print-manager (5:6.3.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Apr 2025 07:18:06 +0000

print-manager (5:6.3.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Mar 2025 15:14:43 +0000

print-manager (5:6.3.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Feb 2025 17:16:58 +0000

print-manager (5:6.3.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 18 Feb 2025 15:01:46 +0000

print-manager (5:6.3.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 13:35:54 +0000

print-manager (5:6.2.5-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 01 Jan 2025 17:07:01 +1000

print-manager (5:6.2.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Nov 2024 13:40:47 +0000

print-manager (5:6.2.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 22 Oct 2024 14:19:54 +0000

print-manager (5:6.2.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 16:11:50 +0000

print-manager (5:6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Oct 2024 16:21:08 +0000

print-manager (5:6.1.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Sep 2024 14:26:37 +0000

print-manager (5:6.1.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Jul 2024 13:18:45 +0000

print-manager (5:6.1.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Jul 2024 15:35:46 +0000

print-manager (5:6.1.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Jun 2024 17:11:55 +0000

print-manager (5:6.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 15 Jun 2024 08:46:18 +0000

print-manager (5:6.0.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Apr 2024 13:05:04 +0000

print-manager (5:6.0.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Mar 2024 18:23:22 +0000

print-manager (5:6.0.2-0neon) jammy; urgency=medium

  [ Jonathan Esk-Riddell ]
  * Add epoch for reversion with move to Plasma

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Mar 2024 17:54:08 +0000

print-manager (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 20:55:22 +0000

## print-manager 6.4.4

=== debian/changelog ===
print-manager (6:6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:32:08 +0100

print-manager (6:6.3.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.3.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 May 2025 21:37:06 +0100

=== debian/control ===
Source: print-manager
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.14.0~),
               libcups2-dev (>= 2.4),
               libkf6config-dev (>= 6.14.0~),
               libkf6configwidgets-dev (>= 6.14.0~),
               libkf6coreaddons-dev (>= 6.14.0~),
               libkf6dbusaddons-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6iconthemes-dev (>= 6.14.0~),
               libkf6kcmutils-dev (>= 6.14.0~),
               libkf6kio-dev (>= 6.14.0~),
               libkf6notifications-dev (>= 6.14.0~),
               libkf6widgetsaddons-dev (>= 6.14.0~),
               libkf6windowsystem-dev (>= 6.14.0~),
               libkirigami-dev (>= 6.14.0~),
               libpackagekitqt6-dev,
               libplasma-dev (>= 6.4.4~),
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
Standards-Version: 4.7.0
Homepage: https://apps.kde.org/en/print-manager
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/print-manager
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/print-manager
Rules-Requires-Root: no

Package: print-manager
Architecture: any
Depends: plasma-desktoptheme,
         qml6-module-org-kde-config,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kitemmodels,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         systemsettings,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: cups,
            smbclient,
            system-config-printer-common,
            system-config-printer-udev,
Description: printer configuration and monitoring tools
 This package provides a KDE configuration module and a Plasma widget for
 installing and configuring printers, and monitoring printers, print jobs and
 print queues.
 .
 This package is part of the KDE utilities module.

## print-manager 6.4.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,14 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(print-manager)
-set(PROJECT_VERSION "6.3.4")
+set(PROJECT_VERSION "6.4.5")
 
-set(PROJECT_DEP_VERSION "6.3.4")
-set(QT_MIN_VERSION "6.7.0")
-set(KF6_MIN_VERSION "6.10.0")
+set(PROJECT_DEP_VERSION "6.4.5")
+set(QT_MIN_VERSION "6.8.0")
+set(KF6_MIN_VERSION "6.14.0")
 
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
-
-################# set KDE specific information #################
 
 find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})
@@ -21,6 +19,7 @@
 include(KDEGitCommitHooks)
 include(KDEClangFormat)
 
+include(ECMDeprecationSettings)
 include(ECMQmlModule)
 include(ECMOptionalAddSubdirectory)
 include(ECMQtDeclareLoggingCategory)
@@ -40,7 +39,6 @@
     ConfigWidgets 
     CoreAddons 
     DBusAddons 
-    IconThemes 
     I18n 
     KCMUtils 
     Kirigami
@@ -51,6 +49,11 @@
 )
 
 find_package(Plasma ${PROJECT_DEP_VERSION} REQUIRED)
+
+ecm_set_disabled_deprecation_versions(
+    QT 6.8
+    KF 6.12.0
+)
 
 set_package_properties(KF6Kirigami PROPERTIES
     TYPE REQUIRED
@@ -94,16 +97,6 @@
 endif()
 add_feature_info("System-config-printer Installation" SCP_INSTALL "Automatic installation of '${SCP_PACKAGE_NAME}' using PackageKit.")
 
-add_definitions(
-    -DQT_DISABLE_DEPRECATED_BEFORE=0x050900
-    -DQT_USE_FAST_OPERATOR_PLUS
-    -DQT_NO_URL_CAST_FROM_STRING
-    -DQT_NO_CAST_FROM_BYTEARRAY
-    -DQT_NO_CAST_FROM_ASCII
-)
-
-remove_definitions(-DQT_NO_KEYWORDS)
-
 # Generate config.h
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake
                ${CMAKE_CURRENT_BINARY_DIR}/config.h)

=== src/kded/CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
     NewPrinterNotification
 )
 
-add_library(kded_printmanager MODULE ${printmanagerkded_SRCS})
+kcoreaddons_add_plugin(kded_printmanager INSTALL_NAMESPACE "kf6/kded" SOURCES ${printmanagerkded_SRCS})
 set_target_properties(kded_printmanager PROPERTIES OUTPUT_NAME printmanager)
 
 target_link_libraries(kded_printmanager PRIVATE
@@ -29,5 +29,4 @@
     EXPORT PMLOGS
 )
 
-install(TARGETS kded_printmanager DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/kded)
 install(FILES printmanager.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})

=== src/printqueue/CMakeLists.txt ===
set(queuemanager_SRCS
    main.cpp
    PrintQueue.cpp
    PrintQueueUi.cpp
    PrintQueue.h
    PrintQueueUi.h
)

ki18n_wrap_ui(queuemanager_SRCS
    PrintQueueUi.ui
)

add_executable(kde-print-queue
    ${queuemanager_SRCS}
)

target_link_libraries(kde-print-queue
    Qt::Core
    Qt::Widgets
    KF6::CoreAddons
    KF6::I18n
    KF6::DBusAddons
    KF6::ConfigCore
    kcupslib
)

install(TARGETS kde-print-queue DESTINATION ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.PrintQueue.desktop DESTINATION ${KDE_INSTALL_APPDIR})

=== debian/changelog ===
print-manager (6:6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:04:43 +0100

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                libkf6windowsystem-dev (>= 6.14.0~),
                libkirigami-dev (>= 6.14.0~),
                libpackagekitqt6-dev,
-               libplasma-dev (>= 6.4.4~),
+               libplasma-dev (>= 6.4.5~),
                pkgconf,
                qt6-base-dev (>= 6.8.0~),
                qt6-declarative-dev (>= 6.8.0~),

## print-manager 6.4.5+p24.04+vstable+git20250926.0953

=== debian/changelog ===
print-manager (5:6.4.5+p24.04+vstable+git20250926.0953-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Sep 2025 09:53:53 +0000

print-manager (5:6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 04:42:45 +0000

print-manager (5:6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:25:41 +0000

## print-manager 6.4.5+p24.04+vstable+git20251004.0514

=== debian/changelog ===
print-manager (5:6.4.5+p24.04+vstable+git20251004.0514-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 05:14:42 +0000

## print-manager 6.4.91

=== src/libkcups/CMakeLists.txt ===
include(GenerateExportHeader)

set(libkcups_SRCS
    KIppRequest.cpp
    KCupsPasswordDialog.cpp
    KCupsConnection.cpp
    KCupsJob.cpp
    KCupsPrinter.cpp
    KCupsServer.cpp
    KCupsRequest.cpp
    PPDModel.cpp
    NoSelectionRectDelegate.cpp
    PrinterModel.cpp
    JobModel.cpp
    JobSortFilterModel.cpp
    ProcessRunner.cpp
    DevicesModel.cpp

    KIppRequest.h
    KCupsPasswordDialog.h
    KCupsConnection.h
    KCupsJob.h
    KCupsPrinter.h
    KCupsServer.h
    KCupsRequest.h
    PPDModel.h
    NoSelectionRectDelegate.h
    PrinterModel.h
    JobModel.h
    JobSortFilterModel.h
    ProcessRunner.h
    DevicesModel.h
)

add_library(kcups SHARED ${libkcups_SRCS})

generate_export_header(kcups)

target_link_libraries(kcups PUBLIC
    Qt::Core
    Qt::DBus
    Qt::Qml
    KF6::ConfigWidgets
    KF6::CoreAddons
    KF6::I18n
    KF6::KIOCore
    KF6::KIOWidgets
    KF6::WidgetsAddons
    KF6::WindowSystem
    Cups::Cups
)

ecm_add_qml_module(kcups URI "org.kde.plasma.printmanager" GENERATE_PLUGIN_SOURCE)
ecm_finalize_qml_module(kcups)

ecm_qt_declare_logging_category(kcups
    HEADER kcupslib_log.h
    IDENTIFIER LIBKCUPS
    CATEGORY_NAME org.kde.plasma.printmanager.libkcups
    DESCRIPTION "Print Manager (libkcups)"
    EXPORT PMLOGS
)

install(TARGETS kcups ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

=== src/plasmoid/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Mike Noe <noeerover@gmail.com>
# SPDX-License-Identifier: GPL-3.0-only OR LicenseRef-KDE-Accepted-GPL

plasma_add_applet(org.kde.plasma.printmanager
    QML_SOURCES
        main.qml
        PrinterDelegate.qml
        FullRepresentation.qml
    RESOURCES main.xml
    GENERATE_APPLET_CLASS
)

=== debian/changelog ===
print-manager (6:6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.
  * Drop patch relaxing inter-plasma minor versions requirement in build
    dependencies.
  * Refresh lintian overrides.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 07 Oct 2025 21:54:05 +0200

=== debian/control ===
Source: print-manager
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               libcups2-dev (>= 2.4),
               libkf6config-dev (>= 6.18.0~),
               libkf6configwidgets-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6iconthemes-dev (>= 6.10.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6widgetsaddons-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               libkirigami-dev (>= 6.18.0~),
               libpackagekitqt6-dev,
               libplasma-dev (>= 6.4.91~),
               pkgconf,
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
Standards-Version: 4.7.2
Homepage: https://apps.kde.org/en/print-manager
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/print-manager
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/print-manager.git
Rules-Requires-Root: no

Package: print-manager
Architecture: any
Depends: plasma-desktoptheme,
         qml6-module-org-kde-config,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kitemmodels,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         systemsettings,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: cups,
            smbclient,
            system-config-printer-common,
            system-config-printer-udev,
Description: printer configuration and monitoring tools
 This package provides a KDE configuration module and a Plasma widget for
 installing and configuring printers, and monitoring printers, print jobs and
 print queues.
 .
 This package is part of the KDE utilities module.

## print-manager 6.5.0

=== debian/changelog ===
print-manager (6:6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh copyright information.
  * Make lintian overrides suitable for all architectures.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Oct 2025 22:01:02 +0200

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                libkf6windowsystem-dev (>= 6.18.0~),
                libkirigami-dev (>= 6.18.0~),
                libpackagekitqt6-dev,
-               libplasma-dev (>= 6.4.91~),
+               libplasma-dev (>= 6.5.0~),
                pkgconf,
                qt6-base-dev (>= 6.9.0~),
                qt6-declarative-dev (>= 6.9.0~),
@@ -31,7 +31,6 @@
 Homepage: https://apps.kde.org/en/print-manager
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/print-manager
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/print-manager.git
-Rules-Requires-Root: no
 
 Package: print-manager
 Architecture: any

## print-manager 6.5.0+p24.04+vstable+git20251024.0243

=== debian/changelog ===
print-manager (5:6.5.0+p24.04+vstable+git20251024.0243-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 24 Oct 2025 02:43:50 +0000

print-manager (5:6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:37:16 +0000

## print-manager 6.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(print-manager)
-set(PROJECT_VERSION "6.4.5")
+set(PROJECT_VERSION "6.5.1")
 
-set(PROJECT_DEP_VERSION "6.4.5")
-set(QT_MIN_VERSION "6.8.0")
-set(KF6_MIN_VERSION "6.14.0")
+set(PROJECT_DEP_VERSION "6.5.1")
+set(QT_MIN_VERSION "6.9.0")
+set(KF6_MIN_VERSION "6.18.0")
 
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)

=== src/configure-printer/CMakeLists.txt ===
set(configureprinter_SRCS
    ConfigurePrinterInterface.cpp
    ConfigurePrinterInterface.h
    Debug.cpp
    Debug.h
    PrinterPage.cpp
    PrinterPage.h
    PrinterOptions.cpp
    PrinterOptions.h
    PrinterBehavior.cpp
    PrinterBehavior.h
    ConfigureDialog.cpp
    ConfigureDialog.h
    ConfigurePrinter.cpp
    ConfigurePrinter.h
    main.cpp
)

ki18n_wrap_ui(configureprinter_SRCS
    PrinterOptions.ui
    PrinterBehavior.ui
)

qt_add_dbus_adaptor(configureprinter_SRCS
    org.kde.ConfigurePrinter.xml
    ConfigurePrinterInterface.h
    ConfigurePrinterInterface
)

add_executable(configure-printer ${configureprinter_SRCS})
target_link_libraries(configure-printer
    Qt6::Core
    Qt6::Widgets
    KF6::CoreAddons
    KF6::I18n
    KF6::DBusAddons
    KF6::ConfigCore
    kcups
)

install(TARGETS configure-printer DESTINATION ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.ConfigurePrinter.desktop DESTINATION ${KDE_INSTALL_APPDIR})

=== debian/changelog ===
print-manager (6:6.5.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Oct 2025 23:16:40 +0100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                libkf6windowsystem-dev (>= 6.18.0~),
                libkirigami-dev (>= 6.18.0~),
                libpackagekitqt6-dev,
-               libplasma-dev (>= 6.5.0~),
+               libplasma-dev (>= 6.5.1~),
                pkgconf,
                qt6-base-dev (>= 6.9.0~),
                qt6-declarative-dev (>= 6.9.0~),

## print-manager 6.5.1+p24.04+vstable+git20251029.0752

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(print-manager)
-set(PROJECT_VERSION "6.5.1")
+set(PROJECT_VERSION "6.5.2")
 
 set(PROJECT_DEP_VERSION "6.5.1")
 set(QT_MIN_VERSION "6.9.0")

=== debian/changelog ===
print-manager (5:6.5.1+p24.04+vstable+git20251029.0752-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 07:52:44 +0000

print-manager (5:6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 06:05:32 +0000

## print-manager 6.5.1+p24.04+vstable+git20251031.0927

=== debian/changelog ===
print-manager (5:6.5.1+p24.04+vstable+git20251031.0927-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 09:27:20 +0000

## print-manager 6.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 project(print-manager)
 set(PROJECT_VERSION "6.5.2")
 
-set(PROJECT_DEP_VERSION "6.5.1")
+set(PROJECT_DEP_VERSION "6.5.2")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")

=== src/kded/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,8 @@
     PrintManagerKded.cpp
     NewPrinterNotification.h
     PrintManagerKded.h
+    MarkerLevelChecker.cpp
+    MarkerLevelChecker.h
 )
 
 qt_add_dbus_adaptor(printmanagerkded_SRCS
@@ -18,7 +20,7 @@
     Qt6::Core
     KF6::DBusAddons
     KF6::Notifications
-    kcupslib
+    kcups
 )
 
 ecm_qt_declare_logging_category(kded_printmanager

=== debian/changelog ===
print-manager (6:6.5.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Migrate to debian/watch version 5 syntax.
  * Add/update David Edmundson’s key in upstream keyring.
  * New upstream release (6.5.2).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 04 Nov 2025 21:34:15 +0100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                libkf6windowsystem-dev (>= 6.18.0~),
                libkirigami-dev (>= 6.18.0~),
                libpackagekitqt6-dev,
-               libplasma-dev (>= 6.5.1~),
+               libplasma-dev (>= 6.5.2~),
                pkgconf,
                qt6-base-dev (>= 6.9.0~),
                qt6-declarative-dev (>= 6.9.0~),

## print-manager 6.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(print-manager)
-set(PROJECT_VERSION "6.5.2")
+set(PROJECT_VERSION "6.5.3")
 
-set(PROJECT_DEP_VERSION "6.5.2")
+set(PROJECT_DEP_VERSION "6.5.3")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")

=== debian/changelog ===
print-manager (6:6.5.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 18 Nov 2025 19:25:57 +0100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                libkf6windowsystem-dev (>= 6.18.0~),
                libkirigami-dev (>= 6.18.0~),
                libpackagekitqt6-dev,
-               libplasma-dev (>= 6.5.2~),
+               libplasma-dev (>= 6.5.3~),
                pkgconf,
                qt6-base-dev (>= 6.9.0~),
                qt6-declarative-dev (>= 6.9.0~),

## print-manager 6.5.3+p24.04+vunstable+git20251209.0423

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(print-manager)
-set(PROJECT_VERSION "6.5.3")
+set(PROJECT_VERSION "6.5.80")
 
-set(PROJECT_DEP_VERSION "6.5.3")
+set(PROJECT_DEP_VERSION "6.4.90")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")

=== debian/changelog ===
print-manager (5:6.5.3+p24.04+vunstable+git20251209.0423-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 04:23:44 +0000

print-manager (5:6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:13:29 +1000

print-manager (5:6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:12:45 +1000

## print-manager 6.5.4

=== debian/changelog ===
print-manager (6:6.5.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 09 Dec 2025 20:53:17 +0100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                libkf6windowsystem-dev (>= 6.18.0~),
                libkirigami-dev (>= 6.18.0~),
                libpackagekitqt6-dev,
-               libplasma-dev (>= 6.5.3~),
+               libplasma-dev (>= 6.5.4~),
                pkgconf,
                qt6-base-dev (>= 6.9.0~),
                qt6-declarative-dev (>= 6.9.0~),

## print-manager 6.5.4+p24.04+vstable+git20251231.0311

=== debian/changelog ===
print-manager (5:6.5.4+p24.04+vstable+git20251231.0311-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 03:11:27 +0000

print-manager (5:6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:21:43 +1000

## print-manager 6.5.4+p24.04+vstable+git20260101.0147

=== debian/changelog ===
print-manager (5:6.5.4+p24.04+vstable+git20260101.0147-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 01 Jan 2026 01:47:35 +0000

## print-manager 6.5.4+p24.04+vstable+git20260107.0945

=== debian/changelog ===
print-manager (5:6.5.4+p24.04+vstable+git20260107.0945-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 09:45:33 +0000

## print-manager 6.5.4+p24.04+vstable+git20260109.0256

=== debian/changelog ===
print-manager (5:6.5.4+p24.04+vstable+git20260109.0256-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 09 Jan 2026 02:56:26 +0000

## print-manager 6.5.5

=== debian/changelog ===
print-manager (6:6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 15:09:44 +0000

print-manager (6:6.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:24:23 +0000

print-manager (6:6.5.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 12:10:34 +0000

print-manager (6:6.5.2-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for libpackagekitqt6-2.

 -- Rik Mills <rikmills@kde.org>  Fri, 07 Nov 2025 09:56:40 +0000

print-manager (6:6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:15:02 +0000

print-manager (6:6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:49:27 +0000

print-manager (6:6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:40:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: print-manager
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
            Sune Vuorela <sune@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.18.0~),
                libcups2-dev (>= 2.4),
                libkf6config-dev (>= 6.18.0~),
@@ -15,7 +16,7 @@
                libkf6coreaddons-dev (>= 6.18.0~),
                libkf6dbusaddons-dev (>= 6.18.0~),
                libkf6i18n-dev (>= 6.18.0~),
-               libkf6iconthemes-dev (>= 6.10.0~),
+               libkf6iconthemes-dev (>= 6.18.0~),
                libkf6kcmutils-dev (>= 6.18.0~),
                libkf6kio-dev (>= 6.18.0~),
                libkf6notifications-dev (>= 6.18.0~),
@@ -23,14 +24,15 @@
                libkf6windowsystem-dev (>= 6.18.0~),
                libkirigami-dev (>= 6.18.0~),
                libpackagekitqt6-dev,
-               libplasma-dev (>= 6.5.4~),
+               libplasma-dev (>= 6.5.5~),
                pkgconf,
                qt6-base-dev (>= 6.9.0~),
                qt6-declarative-dev (>= 6.9.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://apps.kde.org/en/print-manager
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/print-manager
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/print-manager.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/print-manager
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/print-manager
+Rules-Requires-Root: no
 
 Package: print-manager
 Architecture: any

## print-manager 6.5.5+p24.04+vstable+git20260129.0116

=== debian/changelog ===
print-manager (5:6.5.5+p24.04+vstable+git20260129.0116-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 01:16:29 +0000

print-manager (5:6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:30:38 +1000

## print-manager 6.5.5+p24.04+vstable+git20260130.0912

=== debian/changelog ===
print-manager (5:6.5.5+p24.04+vstable+git20260130.0912-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 09:12:30 +0000

## print-manager 6.5.5+p24.04+vunstable+git20260130.1357

=== debian/changelog ===
print-manager (5:6.5.5+p24.04+vunstable+git20260130.1357-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 13:57:18 +0000

## print-manager 6.5.5+p24.04+vunstable+git20260204.0059

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(print-manager)
-set(PROJECT_VERSION "6.5.80")
+set(PROJECT_VERSION "6.6.80")
 
-set(PROJECT_DEP_VERSION "6.4.90")
-set(QT_MIN_VERSION "6.9.0")
-set(KF6_MIN_VERSION "6.18.0")
+set(PROJECT_DEP_VERSION "6.5.90")
+set(QT_MIN_VERSION "6.10.0")
+set(KF6_MIN_VERSION "6.22.0")
 
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)

=== debian/changelog ===
print-manager (5:6.5.5+p24.04+vunstable+git20260204.0059-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 04 Feb 2026 00:59:13 +0000

## print-manager 6.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(print-manager)
-set(PROJECT_VERSION "6.6.80")
+set(PROJECT_VERSION "6.6.1")
 
-set(PROJECT_DEP_VERSION "6.5.90")
+set(PROJECT_DEP_VERSION "6.6.1")
 set(QT_MIN_VERSION "6.10.0")
 set(KF6_MIN_VERSION "6.22.0")

=== debian/changelog ===
print-manager (6:6.6.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.0)
  * New upstream release (6.6.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 22:17:49 +0000

print-manager (6:6.5.5-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 23:12:22 +0000

=== debian/control ===
--- 
+++ 
@@ -9,25 +9,25 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf6,
-               extra-cmake-modules (>= 6.18.0~),
+               extra-cmake-modules (>= 6.22.0~),
                libcups2-dev (>= 2.4),
-               libkf6config-dev (>= 6.18.0~),
-               libkf6configwidgets-dev (>= 6.18.0~),
-               libkf6coreaddons-dev (>= 6.18.0~),
-               libkf6dbusaddons-dev (>= 6.18.0~),
-               libkf6i18n-dev (>= 6.18.0~),
-               libkf6iconthemes-dev (>= 6.18.0~),
-               libkf6kcmutils-dev (>= 6.18.0~),
-               libkf6kio-dev (>= 6.18.0~),
-               libkf6notifications-dev (>= 6.18.0~),
-               libkf6widgetsaddons-dev (>= 6.18.0~),
-               libkf6windowsystem-dev (>= 6.18.0~),
-               libkirigami-dev (>= 6.18.0~),
+               libkf6config-dev (>= 6.22.0~),
+               libkf6configwidgets-dev (>= 6.22.0~),
+               libkf6coreaddons-dev (>= 6.22.0~),
+               libkf6dbusaddons-dev (>= 6.22.0~),
+               libkf6i18n-dev (>= 6.22.0~),
+               libkf6iconthemes-dev (>= 6.22.0~),
+               libkf6kcmutils-dev (>= 6.22.0~),
+               libkf6kio-dev (>= 6.22.0~),
+               libkf6notifications-dev (>= 6.22.0~),
+               libkf6widgetsaddons-dev (>= 6.22.0~),
+               libkf6windowsystem-dev (>= 6.22.0~),
+               libkirigami-dev (>= 6.22.0~),
                libpackagekitqt6-dev,
-               libplasma-dev (>= 6.5.5~),
+               libplasma-dev (>= 6.6.1~),
                pkgconf,
-               qt6-base-dev (>= 6.9.0~),
-               qt6-declarative-dev (>= 6.9.0~),
+               qt6-base-dev (>= 6.10.0~),
+               qt6-declarative-dev (>= 6.10.0~),
 Standards-Version: 4.7.0
 Homepage: https://apps.kde.org/en/print-manager
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/print-manager

## print-manager 6.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(print-manager)
-set(PROJECT_VERSION "6.6.1")
+set(PROJECT_VERSION "6.6.2")
 
-set(PROJECT_DEP_VERSION "6.6.1")
+set(PROJECT_DEP_VERSION "6.6.2")
 set(QT_MIN_VERSION "6.10.0")
 set(KF6_MIN_VERSION "6.22.0")

=== debian/changelog ===
print-manager (6:6.6.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Mar 2026 12:25:38 +0000

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                libkf6windowsystem-dev (>= 6.22.0~),
                libkirigami-dev (>= 6.22.0~),
                libpackagekitqt6-dev,
-               libplasma-dev (>= 6.6.1~),
+               libplasma-dev (>= 6.6.2~),
                pkgconf,
                qt6-base-dev (>= 6.10.0~),
                qt6-declarative-dev (>= 6.10.0~),

## print-manager 15.04.0~git20150217

=== debian/control ===
Source: print-manager
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               kio-dev,
               libcups2-dev (>= 1.5),
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5dbusaddons-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5itemviews-dev,
               libkf5kcmutils-dev,
               libkf5notifications-dev,
               libkf5windowsystem-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
	       plasma-framework-dev,
               qtbase5-dev,
               qtdeclarative5-dev,
               qttools5-dev
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/print-manager.git/
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/print-manager.git

Package: print-manager
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: cups, system-config-printer, system-config-printer-udev
Description: printer configuration and monitoring tools
 This package provides a KDE configuration module and a Plasma widget for
 installing and configuring printers, and monitoring printers, print jobs and
 print queues.
 .
 This package is part of the KDE utilities module.
